Method: dataTables.upload

Full name: projects.locations.instances.dataTables.upload

Create data table from a bulk file.

HTTP request

  • Upload URI, for media upload requests:
    POST https://{endpoint}/upload/v1alpha/{parent}/dataTables:bulkCreateDataTableAsync
  • Metadata URI, for metadata-only requests:
    POST https://{endpoint}/v1alpha/{parent}/dataTables:bulkCreateDataTableAsync

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource where this data table will be created. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains data with the following structure:

JSON representation
{
  "dataTableId": string,
  "skipHeaderRow": boolean,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "dataTable": {
    object (DataTable)
  },
  "dataTableSerialized": string
  // End of mutually exclusive fields.
}
Fields
dataTableId

string

Required. The ID to use for the data table. This is also the display name for the data table. It must satisfy the following requirements: - Starts with letter. - Contains only letters, numbers and underscore. - Must be unique and has length < 256.

skipHeaderRow

boolean

Optional. If set to true, the first row of the provided CSV file will be skipped. Defaults to false, where all rows are treated as data. In both cases, column info is derived from the data_table_source field.

One of data table or serialized data table. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
dataTable

object (DataTable)

Optional. The data table to create.

dataTableSerialized

string

Optional. The data table to create, as a JSON serialized string.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of BulkDataTableAsyncMediaResponse.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.dataTables.bulkCreateDataTableAsync

For more information, see the IAM documentation.